# PhasicFlow: src/phasicFlow/streams/TStream/helperTstream.hpp File Reference

helperTstream.hpp File Reference
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

bool | validTokenForStream (const token tok)
bool | isBeginToken (const token &tok)
bool | isEndToken (const token &tok)

## Function Documentation

## validTokenForStream()

bool validTokenForStream | ( | const token | tok | ) |

inline

Definition at line 6 of file helperTstream.hpp.

## isBeginToken()

bool isBeginToken | ( | const token & | tok | ) |

inline

Definition at line 17 of file helperTstream.hpp.

Referenced by dataEntry::writeDataEntry().

Here is the caller graph for this function:

## isEndToken()

bool isEndToken | ( | const token & | tok | ) |

inline

Definition at line 26 of file helperTstream.hpp.

Referenced by dataEntry::writeDataEntry().

Here is the caller graph for this function: